#1-----------------------------------------
ifname<-"Caret_results_logAvPE.csv"
dataAll <- read.delim(ifname, row.names=1, header=T,sep=",",as.is=TRUE,strip.white=FALSE)
names(dataAll)
#2-----------------------------------------
sortlist <- order(dataAll[,2])
dataAll <- dataAll[sortlist,]
groupList<-unique(dataAll[,2])
ngroup<-length(groupList)
#3-----------------------------------------
datalist <-mapply(rep,1:ngroup,0)
for(i in 1:ngroup){
  dsub<-subset(dataAll,dataAll[,2]==groupList[i]) 
  datalist[i]<-list(dsub[,3]) 
}
datalist
#4------boxplot ---------------------------
#par(mar=c(4,5,5,6))
boxplot(datalist,names=groupList,horizontal=T,las=1,ylim=c(-5,10))
